Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 451008 - Rpmbuild generates incorrect packages due to typos in the kernel-2.6.spec file.
Summary: Rpmbuild generates incorrect packages due to typos in the kernel-2.6.spec file.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.2
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Jarod Wilson
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-06-12 11:31 UTC by Alan Bartlett
Modified: 2009-01-20 20:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:24:33 UTC


Attachments (Terms of Use)
Patch to correct typos in kernel spec file. (deleted)
2008-06-12 11:33 UTC, Alan Bartlett
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Alan Bartlett 2008-06-12 11:31:26 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-GB; rv:1.8.1.14) Gecko/20080404 Firefox/2.0.0.14

Description of problem:
There are two typos in the spec file which result in debug and debuginfo being selected regardless of the use of either --without debug or --without debuginfo flags on the rpmbuild command line.

Version-Release number of selected component (if applicable):
kernel-2.6.18-92.el5.src.rpm

How reproducible:
Always


Steps to Reproduce:
1.rpmbuild -bb --target=`uname -m` --with baseonly --without debuginfo kernel-2.6.spec
2.
3.

Actual Results:
The debug packages are incorrectly built as well as the kernel-2.6.18-92.el5.rpm and kernel-devel-2.6.18-92.el5.rpm packages.

Expected Results:
Only the kernel-2.6.18-92.el5.rpm and kernel-devel-2.6.18-92.el5.rpm should be built.

Additional info:
A patch has been written to correct the errors in the kernel-2.6.spec file.

Comment 1 Alan Bartlett 2008-06-12 11:33:20 UTC
Created attachment 309051 [details]
Patch to correct typos in kernel spec file.

Comment 2 Akemi Yagi 2008-06-12 15:24:59 UTC
These errors have been there from day one, and amazingly no one had noticed
until now.  Look at comment #42 of bug#240878 (or even comment #35) that was
almost a year ago.

Comment 3 Alan Bartlett 2008-06-12 15:52:07 UTC
Also obvious on inspection of comment #50 of bug#240878.

Comment 4 Jarod Wilson 2008-06-13 13:48:32 UTC
The inversions should be corrected, but in my experience, they don't actually
cause any failure of intended use. At least, they don't with Fedora kernel
builds, where we have the same inversion. I'd give it a try with the RHEL5
kernel, but its probably not worth the effort, since we ought to fix that
regardless... :)

Comment 5 Alan Bartlett 2008-06-16 10:32:52 UTC
Anyone with a 

%_enable_debug_packages 0 

line in their .rpmmacros file (such as I had) will not see this issue. It was
only on removing that line to test the 

--without debugpackages

command line flag, new with the *-92.el5 kernel series, did it become apparent
to me.

Thanks for correcting this.


Comment 7 RHEL Product and Program Management 2008-07-22 18:43:13 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 9 Don Zickus 2008-07-23 18:55:51 UTC
in kernel-2.6.18-99.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 10 Alan Bartlett 2008-07-24 08:46:44 UTC
Looking at the beginning of the spec file for the -99.el5 kernel, I see it is
now as I would expect it to be.

Thanks.

Comment 11 Alan Bartlett 2008-07-24 21:24:41 UTC
I can now confirm that a build using the --with baseonly option on the command
line performs correctly. Just the base kernel and its corresponding kernel-devel
rpm files are built.

rpmbuild -bb --target i686 --with baseonly kernel-2.6.spec

builds kernel-2.6.18-99.el5.i686.rpm and kernel-devel-2.6.18-99.el5.i686.rpm

Comment 12 Don Zickus 2008-09-15 18:14:07 UTC
Reverting back to MODIFIED.  Please do not set to VERIFIED until QE sends instructions doing so.  They have to make sure the patch makes it into a potential 5.3 distribution first.

Comment 16 errata-xmlrpc 2009-01-20 20:24:33 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.